[jboss-cvs] JBossAS SVN: r85855 - in projects/jboss-osgi/trunk/build: distribution/src/main/resources/installer and 4 other directories.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Sun Mar 15 13:56:46 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-03-15 13:56:45 -0400 (Sun, 15 Mar 2009)
New Revision: 85855

Modified:
   projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml
   projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml
   projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.5/config.xml
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.6/config.xml
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml
Log:
Integrate distributed Runtime in Hudson QA - WIP

Modified: projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml
===================================================================
--- projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml	2009-03-15 17:56:45 UTC (rev 85855)
@@ -42,7 +42,7 @@
         <filter token="jboss.home" value="${jboss.home}" />
         <filter token="product.version" value="${product.version}" />
         <filter token="target.container" value="${target.container}" />
-        <filter token="user.home" value="${user.home}" />
+        <filter token="installpath" value="${output.dir}/jboss-osgi-${product.version}" />
       </filterset>
     </copy>
   	

Modified: projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml
===================================================================
--- projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 17:56:45 UTC (rev 85855)
@@ -1,7 +1,7 @@
 <AutomatedInstallation langpack="eng">
   <com.izforge.izpack.panels.HelloPanel />
   <com.izforge.izpack.panels.TargetPanel>
-    <installpath>@user.home@/jboss-osgi- at product.version@</installpath>
+    <installpath>@installpath@</installpath>
   </com.izforge.izpack.panels.TargetPanel>
   <com.izforge.izpack.panels.TreePacksPanel>
     <pack name="JBossOSGi Integration" index="0" selected="true" />

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh	2009-03-15 17:56:45 UTC (rev 85855)
@@ -5,50 +5,58 @@
 #
 # $Id$
 
-WORKSPACE=`pwd`
 OSGIDIR=$WORKSPACE/jboss-osgi
 DISTRODIR=$OSGIDIR/build/distribution/target
 HUDSONDIR=$OSGIDIR/build/hudson
 
-case "$CONTAINER" in
-  jboss501*)
-    JBOSS_BUILD=jboss-5.0.1.GA
-  ;;
-  jboss510*)
-    JBOSS_BUILD=jboss-5.1.0.CR1
-  ;;
-  jboss600*)
-    JBOSS_BUILD=jboss-6.0.0.Alpha1
-  ;;
-esac
-
 #
-# Unzip the JBoss build
-#
-rm -rf $JBOSS_BUILD
-unzip -q $HUDSON_BASE/jboss/$JBOSS_BUILD.zip
-
-JBOSS_HOME=$WORKSPACE/$JBOSS_BUILD
-ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
-
-#
 # Build distro
 #
 cd $OSGIDIR
-MVN_CMD="mvn -U $ENVIRONMENT -Pdistro clean install"
+MVN_CMD="mvn -U -Pdistro clean install"
 echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
 if [ $MVN_STATUS -ne 0 ]; then
   echo maven exit status $MVN_STATUS
   exit 1
 fi
 
+case "$CONTAINER" in
+  'jboss501')
+    JBOSS_BUILD=jboss-5.0.1.GA
+    JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
+	JBOSS_HOME=$WORKSPACE/$JBOSS_BUILD
+    rm -rf $JBOSS_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
+  ;;
+  'jboss510')
+    JBOSS_BUILD=jboss-5.1.0.CR1
+    JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
+	JBOSS_HOME=$WORKSPACE/$JBOSS_BUILD
+    rm -rf $JBOSS_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
+  ;;
+  'jboss600')
+    JBOSS_BUILD=jboss-6.0.0.Alpha1
+    JBOSS_ZIP=$HUDSON_HOME/../jboss/$JBOSS_BUILD.zip
+	JBOSS_HOME=$WORKSPACE/$JBOSS_BUILD
+    rm -rf $JBOSS_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
+  ;;
+  'runtime')
+	JBOSS_HOME=$DISTRODIR/jboss-osgi-$VERSION/runtime
+  ;;
+  *)
+	echo "Unsupported container: $CONTAINER"
+	exit 1
+  ;;
+esac
+
 #
 # Deploy distro
 #
 AUTO_INSTALL=$DISTRODIR/resources/auto-install-template.xml; cat $AUTO_INSTALL;
-JAVA_CMD="java -jar $DISTRODIR/jboss-osgi-installer-$OSGI_VERSION.jar $AUTO_INSTALL"
+JAVA_CMD="java -jar $DISTRODIR/jboss-osgi-installer-$VERSION.jar $AUTO_INSTALL"
 echo $JAVA_CMD; $JAVA_CMD 
 
+ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
+
 #
 # start jbossas
 #

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.5/config.xml
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.5/config.xml	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.5/config.xml	2009-03-15 17:56:45 UTC (rev 85855)
@@ -38,13 +38,10 @@
   <builders>
     <hudson.tasks.Shell>
       <command>
-WORKSPACE=`pwd`
 OSGIDIR=$WORKSPACE/jboss-osgi
 HUDSONDIR=$OSGIDIR/build/hudson
 
-export HUDSON_BASE=$HUDSON_HOME/..
-export OSGI_VERSION=@version.id@
-export JBOSS_SERVER=@jboss.server.instance@
+export VERSION=@version.id@
 export JBOSS_BINDADDR=@jboss.bind.address@
 
 # copy the maven profile

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.6/config.xml
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.6/config.xml	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-JDK1.6/config.xml	2009-03-15 17:56:45 UTC (rev 85855)
@@ -38,13 +38,10 @@
   <builders>
     <hudson.tasks.Shell>
       <command>
-WORKSPACE=`pwd`
 OSGIDIR=$WORKSPACE/jboss-osgi
 HUDSONDIR=$OSGIDIR/build/hudson
 
-export HUDSON_BASE=$HUDSON_HOME/..
-export OSGI_VERSION=@version.id@
-export JBOSS_SERVER=@jboss.server.instance@
+export VERSION=@version.id@
 export JBOSS_BINDADDR=@jboss.bind.address@
 
 # copy the maven profile

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml	2009-03-15 13:38:19 UTC (rev 85854)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml	2009-03-15 17:56:45 UTC (rev 85855)
@@ -50,15 +50,12 @@
   <builders>
     <hudson.tasks.Shell>
       <command>
-WORKSPACE=`pwd`
 OSGIDIR=$WORKSPACE/jboss-osgi
 HUDSONDIR=$OSGIDIR/build/hudson
 
 export CONTAINER=$container
 
-export HUDSON_BASE=$HUDSON_HOME/..
-export OSGI_VERSION=@version.id@
-export JBOSS_SERVER=@jboss.server.instance@
+export VERSION=@version.id@
 export JBOSS_BINDADDR=@jboss.bind.address@
 
 # copy the maven profile




More information about the jboss-cvs-commits mailing list